function [t,y]=myeulimp(f,interv,y0,h)
% Eulero implicito
toll=1e-10;
t=(interv(1):h:interv(2))';
N=length(t);
y=zeros(N,1);
y(1)=y0;
for i=2:N
    dif=1e30;
    yold=y(i-1);
    while dif > toll
        ynew=y(i-1)+h*f(t(i),yold);
        dif=abs(ynew-yold);
        yold=ynew;
    end
    y(i)=ynew;
end